Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007101opensim[REGION] OpenSim Corepublic2014-04-07 21:162014-12-22 07:02
Reporterkenvc 
Assigned Tokenvc 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad Core 32GBOSWindows 64OS VersionServer 2012
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007101: 4 Vivox messages in log file every second if Voice in Land Settings is turned off.
DescriptionI have Vivox enabled in opensim.ini on every instance I run in OSG. One sim had voice turned off in Land Settings and this was causing a Vivox related message to go into the log file at the rate of 4 per second when an AV was on that sim. I do not know if the AV on the sim had voice enabled in their viewer or not. This was rapidly filling up the log file.

Turned Voice back on in the Land Settings and the chatty messages stopped. One message maybe is appropriate, but not 4 per second while an AV is on the sim.
See a segment from the log file in Additional information below.
Steps To Reproduce1. Have Vivox enabled and working in opensim.ini
2. Turn off voice on in Land Settings on one of the sims in an instance.
3. Go to the sim with an AV
4. Watch the log file fill with messages.

The temporary fix is to turn voice back on in Land Settings
Additional Information
2014-04-07 22:16:47,598 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:47,598 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:47,598 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:48,799 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:48,799 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:48,815 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:50,328 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:50,328 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:50,328 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:51,795 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:51,795 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:51,810 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:53,370 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:53,370 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:53,370 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:55,133 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:55,149 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:55,149 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:56,709 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:56,709 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:56,709 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:58,191 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:58,191 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:58,191 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:16:59,751 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:16:59,751 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:16:59,751 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:17:01,326 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:17:01,326 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:17:01,326 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:17:02,918 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:17:02,918 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:17:02,918 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:17:04,587 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:17:04,587 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:17:04,602 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:17:06,084 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:17:06,084 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:17:06,084 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
2014-04-07 22:17:06,880 DEBUG - OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule [HGScene]: RezObject itemID=dce79dee-8484-4a6c-b204-60310a7fd9e7 fromTaskID=00000000-0000-0000-0000-000000000000
2014-04-07 22:17:07,691 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": request: <llsd><undef /></llsd>
, path: /CAPS/4a5dc7b6-b3c8-4795-9e28-06c112594d670107/, param:
2014-04-07 22:17:07,691 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": voice not enabled for parcel
2014-04-07 22:17:07,707 DEBUG - OpenSim.Region.OptionalModules.Avatar.Voice.VivoxVoice.VivoxVoiceModule [VivoxVoice][PARCELVOICE]: region "Marymount": Parcel "Marymount" (1): avatar "mattie mcbride": <llsd><map><key>parcel_local_id</key><integer>1</integer><key>region_name</key><string>Marymount</string><key>voice_credentials</key><map><key>channel_uri</key><string /></map></map></llsd>
TagsNo tags attached.
Git Revision or version numberr/24603
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerSing
Attached Files

- Relationships

-  Notes
(0025745)
justincc (administrator)
2014-04-10 17:30

So, I have encountered either this or a very similar issue before. Essentially, if voice is otherwise available but a particular parcel has voice disabled, the viewer continually spams voice requests to the server (see my write up in commit 874bf1f8e50be7bf53d7902beb35446df669e16a from May 2012).

Unfortunately, it looks like this is something that the viewers would have to fix, though there is an (unimplemented) hack to at least reduce the message frequency. Otherwise, the only real workaround atm is not to disable parcel voice if the Vivox module is enabled.
(0025747)
melanie (administrator)
2014-04-10 17:33

The issue has been addressed in Singularity (trunk) and the fix may also be in the latest release.
My recommendation is to comment the spam message, we at Avination have done so. It serves no purpose anyway.
(0025748)
justincc (administrator)
2014-04-10 17:34

I think it's useful to show that the spamming is happening. Otherwise, you get a performance drop on your simulator with no clue as to why that's happening.

But I expect the message is at debug level so would also go away if your logging was above this.
(0025749)
melanie (administrator)
2014-04-10 17:37

In Linux, Debug is the default and few know how to change it. There is no noticeable performance hit from the request, the performance hit is from log4net. Commenting the message makes all the ill effects go away as log4net is the cycle hog, not the http server.
There is no point in letting viewers drag down sim performance and fill up logs.
(0026179)
kenvc (reporter)
2014-05-26 21:45

Is it possible to comment out this message as was done in Avination to eliminate this as an issue?
(0027072)
kenvc (reporter)
2014-12-05 08:58

Marking this as resolved, because it appears nothing is going to be done about it other than the suggestions in this mantis.

- Issue History
Date Modified Username Field Change
2014-04-07 21:16 kenvc New Issue
2014-04-10 17:30 justincc Note Added: 0025745
2014-04-10 17:33 melanie Note Added: 0025747
2014-04-10 17:34 justincc Note Added: 0025748
2014-04-10 17:37 melanie Note Added: 0025749
2014-05-26 21:45 kenvc Note Added: 0026179
2014-12-05 08:58 kenvc Note Added: 0027072
2014-12-05 08:58 kenvc Status new => resolved
2014-12-05 08:58 kenvc Fixed in Version => master (dev code)
2014-12-05 08:58 kenvc Resolution open => fixed
2014-12-05 08:58 kenvc Assigned To => kenvc
2014-12-22 07:02 kenvc Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker